package osservatorio_astronomico_con_liste;

public class CorpoCeleste {
	
	private static int progressivoP = 0;
	private static int progressivoS = 0;
	
	private String codice;
	private String tipo;
	private String nome;
	private String posizione;
	
	public CorpoCeleste(String t, String nome, String pos) {
		if(t.equalsIgnoreCase("pianeta"))
			this.codice = "P_"+(++progressivoP);
		else if(t.equalsIgnoreCase("satellite"))
			this.codice = "S_"+(++progressivoS);
		else	
			this.codice = "";
		this.tipo = t;
		this.nome = nome;
		this.posizione = pos;
	}
	
	public CorpoCeleste() {
		this("","","");
	}
	
	public String getCodice() {
		return codice;
	}
	
	@Override
	public String toString() {
		String s = "";
		s += "Codice: "+codice+"\n";
		s += "Tipo: "+tipo+"\n";
		s += "Nome: "+nome+"\n";
		s += "Posizione: "+posizione+"\n";
		return s;
	}

}
