package osservatorio_astronomico_con_liste;

public class Eclissi extends Evento{
	
	private static int progressivo = 0;
	
	private String codCorpoCeleste;
	private String categoria;
	
	public Eclissi(String data, String oraInizio, int durata, String codiceCorpo, String categoria) {
		super("E_"+(++progressivo),data,oraInizio,durata);
		this.codCorpoCeleste = codiceCorpo;
		this.categoria = categoria;
	}
	
	public Eclissi() {
		super();
		this.codCorpoCeleste = "";
		this.categoria = "";
	}

	public String getCodCorpoCeleste() {
		return codCorpoCeleste;
	}
}
